#include <stdio.h>
#include <string.h>
#include <stdbool.h>

char * str_reverse(char *);
bool find_word(int, int, char [][*], char *);

int main()
{
	int l, c, p, i, cont = 0;
	scanf("%d %d %d", &l, &c, &p);
	char tab[l][c + 1], palavras[p][101];
	for (i = 0; i < l; i++) {
		scanf(" %s", tab[i]);
	}
	for (i = 0; i < p; i++) {
		scanf(" %s", palavras[i]);
	}
	
	for (i = 0; i < p; i++) {
		if (find_word(l, c, tab, palavras[i]) || find_word(l, c, tab, str_reverse(palavras[i]))) cont++;
	}
	printf("%d\n", cont);
	
	return 0;
}

char * str_reverse(char * s)
{
	int i, j = strlen(s) - 1;
	char aux;
	for (i = 0; i < j; i++, j--) {
		aux = s[i];
		s[i] = s[j];
		s[j] = aux;
	}
	return s;
}

bool find_word(int l, int c, char tab[][c+1], char * s)
{
	int i, j;
	char tab_inv[c][l+1];
	for (i = 0; i < l; i++) 
		if (strstr(tab[i], s)) return true;
		
	for (j = 0; j < c; j++) {
		for (i = 0; i < l; i++) {
			tab_inv[j][i] = tab[i][j];
		}
		tab_inv[j][i] = '\0';
	}	
	for (i = 0; i < c; i++)
		if (strstr(tab_inv[i], s)) return true;
	
	return false;
}
